漏洞信息详情

Django 输入验证错误漏洞

漏洞简介

Django是Django基金会的一套基于Python语言的开源Web应用框架。该框架包括面向对象的映射器、视图系统、模板系统等。

Django中存在安全漏洞,该漏洞源于程序没有正确处理‘Truncator’函数。攻击者可利用该漏洞造成拒绝服务(资源消耗)。以下产品及版本受到影响:Django 1.11.23之前的1.11.x版本,2.1.11之前的2.1.x版本,2.2.4之前的2.2.x版本。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://www.djangoproject.com/weblog/2019/aug/01/security-releases/

参考网址

来源:BUGTRAQ

链接:https://seclists.org/bugtraq/2019/Aug/15

来源:DEBIAN

链接:https://www.debian.org/security/2019/dsa-4498

来源:www.djangoproject.com

链接:https://www.djangoproject.com/weblog/2019/aug/01/security-releases/

来源:groups.google.com

链接:https://groups.google.com/forum/#!topic/django-announce/jIoju2-KLDs

来源:docs.djangoproject.com

链接:https://docs.djangoproject.com/en/dev/releases/security/

来源:SUSE

链接:http://lists.opensuse.org/opensuse-security-announce/2019-08/msg00006.html

来源:FEDORA

链接:https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/STVX7X7IDWAH5SKE6MBMY3TEI6ZODBTK/

来源:SUSE

链接:http://lists.opensuse.org/opensuse-security-announce/2019-08/msg00025.html

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-20192180-1.html

来源:usn.ubuntu.com

链接:https://usn.ubuntu.com/4084-1/

来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/153848/Ubuntu-Security-Notice-USN-4084-1.html

来源:access.redhat.com

链接:https://access.redhat.com/security/cve/cve-2019-14232

来源:vigilance.fr

链接:https://vigilance.fr/vulnerability/Django-four-vulnerabilities-29930

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.3027/

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.2894/

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.3168/

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-14232

受影响实体

    暂无